# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentsDagBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'simple_models': 'ParametersexperimentVersionsimpleModels',
        'lite_models': 'ParametersexperimentVersionliteModels',
        'normal_models': 'ParametersexperimentVersionnormalModels',
        'with_blend': 'ParametersexperimentVersionwithBlend',
        'profile': 'ParametersexperimentVersionprofile'
    }

    attribute_map = {
        'simple_models': 'simple_models',
        'lite_models': 'lite_models',
        'normal_models': 'normal_models',
        'with_blend': 'with_blend',
        'profile': 'profile'
    }

    def __init__(self, simple_models=None, lite_models=None, normal_models=None, with_blend=None, profile=None):  # noqa: E501
        """ExperimentsDagBody - a model defined in Swagger"""  # noqa: E501
        self._simple_models = None
        self._lite_models = None
        self._normal_models = None
        self._with_blend = None
        self._profile = None
        self.discriminator = None
        if simple_models is not None:
            self.simple_models = simple_models
        if lite_models is not None:
            self.lite_models = lite_models
        if normal_models is not None:
            self.normal_models = normal_models
        if with_blend is not None:
            self.with_blend = with_blend
        if profile is not None:
            self.profile = profile

    @property
    def simple_models(self):
        """Gets the simple_models of this ExperimentsDagBody.  # noqa: E501


        :return: The simple_models of this ExperimentsDagBody.  # noqa: E501
        :rtype: ParametersexperimentVersionsimpleModels
        """
        return self._simple_models

    @simple_models.setter
    def simple_models(self, simple_models):
        """Sets the simple_models of this ExperimentsDagBody.


        :param simple_models: The simple_models of this ExperimentsDagBody.  # noqa: E501
        :type: ParametersexperimentVersionsimpleModels
        """

        self._simple_models = simple_models

    @property
    def lite_models(self):
        """Gets the lite_models of this ExperimentsDagBody.  # noqa: E501


        :return: The lite_models of this ExperimentsDagBody.  # noqa: E501
        :rtype: ParametersexperimentVersionliteModels
        """
        return self._lite_models

    @lite_models.setter
    def lite_models(self, lite_models):
        """Sets the lite_models of this ExperimentsDagBody.


        :param lite_models: The lite_models of this ExperimentsDagBody.  # noqa: E501
        :type: ParametersexperimentVersionliteModels
        """

        self._lite_models = lite_models

    @property
    def normal_models(self):
        """Gets the normal_models of this ExperimentsDagBody.  # noqa: E501


        :return: The normal_models of this ExperimentsDagBody.  # noqa: E501
        :rtype: ParametersexperimentVersionnormalModels
        """
        return self._normal_models

    @normal_models.setter
    def normal_models(self, normal_models):
        """Sets the normal_models of this ExperimentsDagBody.


        :param normal_models: The normal_models of this ExperimentsDagBody.  # noqa: E501
        :type: ParametersexperimentVersionnormalModels
        """

        self._normal_models = normal_models

    @property
    def with_blend(self):
        """Gets the with_blend of this ExperimentsDagBody.  # noqa: E501


        :return: The with_blend of this ExperimentsDagBody.  # noqa: E501
        :rtype: ParametersexperimentVersionwithBlend
        """
        return self._with_blend

    @with_blend.setter
    def with_blend(self, with_blend):
        """Sets the with_blend of this ExperimentsDagBody.


        :param with_blend: The with_blend of this ExperimentsDagBody.  # noqa: E501
        :type: ParametersexperimentVersionwithBlend
        """

        self._with_blend = with_blend

    @property
    def profile(self):
        """Gets the profile of this ExperimentsDagBody.  # noqa: E501


        :return: The profile of this ExperimentsDagBody.  # noqa: E501
        :rtype: ParametersexperimentVersionprofile
        """
        return self._profile

    @profile.setter
    def profile(self, profile):
        """Sets the profile of this ExperimentsDagBody.


        :param profile: The profile of this ExperimentsDagBody.  # noqa: E501
        :type: ParametersexperimentVersionprofile
        """

        self._profile = profile

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentsDagBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentsDagBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
